﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;

namespace Adornment_121212
{
    public class CustomColumnSeries : ColumnSeries
    {        
        public CustomColumnSeries()
        {
            this.CustomSegment = Segments;  
        }

        public ObservableCollection<ChartSegment> CustomSegment
        {
            get;
            set;
        }

        public ChartAdornmentPresenter AdornmentPresenter
        {
            get;
            set;
        }
       
        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();
            AdornmentPresenter = this.GetTemplateChild("adornmentPresenter") as ChartAdornmentPresenter;          
        }
    }
}
